Error with Windows 10 Enterprise....

Comments, questions, bug reports, etc.
Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Tue Feb 27, 2018 9:02 pm

so, I tried to apply the patch "ntfs-3g_fix. patch" to the version 2017.3.23. The corresponding files have been patched!

make clean
./autogen. sh
./configure
make
make install

It has been compiled successfully. Unfortunately, the mistake still happens. Does the patch only work with version ntfs-3g "2016.2.22"?

synchronicity
Site Admin
Posts: 302
Joined: Sun Aug 02, 2015 10:31 pm

Re: Error with Windows 10 Enterprise....

Post by synchronicity » Wed Feb 28, 2018 4:20 am

Did you try the development version of NTFS-3G, which you can get from git://git.code.sf.net/p/ntfs-3g/ntfs-3g, branch "edge"? It needs to include commit 67feb2c286a3 ("Relaxed limitations on security descriptors").

Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Wed Feb 28, 2018 6:57 am

i have downloaded the zip archive for "git: //git. code. sf. net/p/ntfs-3g/ntfs-3g, branch "edge". I hope 67feb2c286a3 is included?
Then apply the patch and create a build (make install). On the Ubuntu system, ntfs-3g 2016.2.22 is active. Unfortunately, the same error occurs

I find (see) unfortunately in the list to Edge no commit 67feb2c286a3:

https://github.com/tosiara/ntfs-3g/comm ... fa0ecb4+35

patch -p1 < ./ntfs-3g_fix.patch
sudo ./autogen.sh
sudo ./configure
sudo make
sudo make install

ntfs-3g 2016.2.22 integrated FUSE 27

synchronicity
Site Admin
Posts: 302
Joined: Sun Aug 02, 2015 10:31 pm

Re: Error with Windows 10 Enterprise....

Post by synchronicity » Wed Feb 28, 2018 7:14 am

It's a git repository, so you need to clone it using git, e.g.

Code: Select all

git clone git://git.code.sf.net/p/ntfs-3g/ntfs-3g
cd ntfs-3g
git checkout edge

Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Wed Feb 28, 2018 7:54 am

ups, the code is on sourceforge. Unfortunately I can't install the patch anymore

git checkout edge
...
/var/tmp/ntfs-3g$ sudo patch -p1 < ./ntfs-3g_fix.patch
patching file include/ntfs-3g/layout.h
Hunk #1 FAILED at 1406.
....
5 out of 5 hunks FAILED -- saving rejects to file include/ntfs-3g/layout.h.rej
patching file libntfs-3g/acls.c
Hunk #1 FAILED at 536.
1 out of 1 hunk FAILED -- saving rejects to file libntfs-3g/acls.c.rej

Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Wed Feb 28, 2018 9:48 am

I have also tried the Arch linux version. A packet "ntfs-3g 2017.3.23 external Fuse 29" is created. Unfortunately, with the same error.

https://aur.archlinux.org/packages/ntfs ... b-patched/

synchronicity
Site Admin
Posts: 302
Joined: Sun Aug 02, 2015 10:31 pm

Re: Error with Windows 10 Enterprise....

Post by synchronicity » Wed Feb 28, 2018 4:51 pm

Can you please just test with the development version of NTFS-3G like I'm telling you to? My patch from earlier is obsolete since there was an equivalent fix committed to NTFS-3G. Please do not download random versions of NTFS-3G from Linux distros or people's github accounts, or random patches from forum posts. Please do use the development version of NTFS-3G whose git URL and branch I gave. Please also make sure that you have uninstalled all other versions of NTFS-3G or otherwise make sure that wimlib is really linked to the development version and not a different version.

Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Thu Mar 01, 2018 9:58 am

Sorry, but I'm aware of that. I've just been making a lot of attempts to make this work. I'm using a very small minimalist Debian that never had an ntfs-3g installed on it. Before every attempt I put the snapshot back to a neutral state.

git clone git://git.code.sf.net/p/ntfs-3g/ntfs-3g
cd ntfs-3g

1. Make edge 67feb2 without the patch :
git checkout edge
git reset --hard 67feb2
HEAD is now at 67feb2c2 Relaxed limitations on security descriptors
Same error with Server 2016 WIM from december 2017 (index 2)

2. Can't apply the patch to 67feb2
git reset --hard 67feb2
patch -Np1 < ./ntfs-3g_fix.patch
patching file include/ntfs-3g/layout.h
Hunk #1 FAILED at 1406.
....
1 out of 5 hunks FAILED -- saving rejects to file include/ntfs-3g/layout.h.rej
patching file libntfs-3g/acls.c
Hunk #1 FAILED at 536.
....

3. Try the patch for Version d10800:
git reset --hard d10800
patch -Np1 < ./ntfs-3g_fix.patch
#run without Error
Same error with Server 2016 WIM from december 2017 (index 2)

4. last try - change the code
Changing the function in ntfs-3g
static BOOL valid_acl(const ACL *pacl, unsigned int end) { return TRUE; }
Same error.

synchronicity
Site Admin
Posts: 302
Joined: Sun Aug 02, 2015 10:31 pm

Re: Error with Windows 10 Enterprise....

Post by synchronicity » Sat Mar 03, 2018 7:26 pm

Can you please post the error message you get with the development version of NTFS-3G, including the full security descriptor? I tested the security descriptor from the error message in your original post, and it worked with the development version of NTFS-3G (but not with 2017.3.23; I confirmed it was fixed by commit 67feb2c286). So if there is really still a bug in the development version then it is a different bug, on a different security descriptor, which you need to provide for the problem to be reproduced. If you're knowledgeable enough to change the code you're welcome to investigate it further yourself as well.

Andreas.Nick
Posts: 9
Joined: Tue Feb 27, 2018 1:41 pm

Re: Error with Windows 10 Enterprise....

Post by Andreas.Nick » Sun Mar 04, 2018 8:44 pm

I made the mistake. The WIMTOOLS were not yet installed and so I started apt-get install wimtools after every build. But the package have a dependency "libntfs-3g871", so the new build has been overwritten (at least the build must have been displayed via --Version?). Se we also have to download a package for the Wimtools. Here is the complete recipe - sorry and thanks for your help:

Recipe for Debian:

git clone git://git.code.sf.net/p/ntfs-3g/ntfs-3g
cd ntfs-3g
git checkout edge
git reset --hard 67feb2
./autogen.sh
./configure
make
make install

cd..
apt-get install libfuse-dev
apt-get install libxml2-dev
cd wimlib-1.12.0
./configure
make
make install

Post Reply